Denial of service in Cisco IOS XR Software



Published: 2020-08-06
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2020-3449
CWE ID CWE-835
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Cisco IOS XR
Operating systems & Components / Operating system

Vendor Cisco Systems, Inc

Security Advisory

This security advisory describes one medium risk vulnerability.

1) Infinite loop

Risk: Medium

CVSSv3: 6.5 [CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2020-3449

CWE-ID: CWE-835 - Loop with Unreachable Exit Condition ('Infinite Loop')

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to an incorrect calculation of lexicographical order when displaying additional path information within the Border Gateway Protocol (BGP) additional paths feature. A remote attacker can send a specific BGP update from a BGP neighbor peer session of an affected device, consume all available system resources and cause denial of service conditions.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Cisco IOS XR: -, 7.1.2

CPE External links

https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-bgp-ErKEqAer

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.